DKBSignDocs

API reference

POSTRequires Bearer token

Upload a document

/api/edm/documents

Submit `/api/edm/documents`. Authenticated routes need `Authorization: Bearer {token}` from `POST /api/v1/login`.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
file
Required
stringDocument file.
folder_id
stringDestination folder.
title
stringDisplay title.
e.g. "Contract 2026"

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/edm/documents' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'file=file' \
  -F 'folder_id=uuid_or_id' \
  -F 'title=Contract 2026'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}